Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCellContents

All Superinterfaces:
  java.lang.Cloneable, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRStyleContainer, JRVisitable

All Known Implementing Classes:
  JRBaseCellContents, JRDesignCellContents, JRFillCellContents

    public interface JRCellContents

extends JRElementGroup, JRStyleContainer, JRBoxContainer

Crosstab cell contents interface.

This interface is used for both crosstab row/column headers and data cells.

There are some restrictions/rules regarding crosstab cells:

- subreports, crosstabs and charts are not allowed
- delayed evaluation for text fields and images is not allowed
- cells cannot split on multiple pages

Version:
  $Id: JRCellContents.java 3775 2010-05-03 12:11:56Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static int` | `NOT_CALCULATED` Width or height value indicating that the value has not been computed.
`static byte` | `POSITION_X_CENTER` Deprecated. Replaced by `CENTER`.
`static byte` | `POSITION_X_LEFT` Deprecated. Replaced by `LEFT`.
`static byte` | `POSITION_X_RIGHT` Deprecated. Replaced by `RIGHT`.
`static byte` | `POSITION_X_STRETCH` Deprecated. Replaced by `STRETCH`.
`static byte` | `POSITION_Y_BOTTOM` Deprecated. Replaced by `BOTTOM`.
`static byte` | `POSITION_Y_MIDDLE` Deprecated. Replaced by `MIDDLE`.
`static byte` | `POSITION_Y_STRETCH` Deprecated. Replaced by `STRETCH`.
`static byte` | `POSITION_Y_TOP` Deprecated. Replaced by `TOP`.
`static java.lang.String` | `PROPERTIES_PREFIX` A prefix used for properties that are set on frames generated by crosstab cells.
`static java.lang.String` | `PROPERTY_COLUMN_SPAN` A property that provides the crosstab column span of a print frame.
`static java.lang.String` | `PROPERTY_ROW_SPAN` A property that provides the crosstab row span of a print frame.
`static java.lang.String` | `PROPERTY_TYPE` A property that provides the type of the cell that generated a print frame.
`static java.lang.String` | `TYPE_COLUMN_HEADER` Type used by the column header cells.
`static java.lang.String` | `TYPE_CROSSTAB_HEADER` Type used by the `crosstab header cell`.
`static java.lang.String` | `TYPE_DATA` Type used by the `crosstab data cells`.
`static java.lang.String` | `TYPE_NO_DATA_CELL` Type used by the `crosstab "no data" cell`.
`static java.lang.String` | `TYPE_ROW_HEADER` Type used by the row header cells.

Method Summary
`java.awt.Color` | `getBackcolor()` Returns the cell background color.
`JRBox` | `getBox()` Deprecated. Replaced by `JRBoxContainer.getLineBox()`
`int` | `getHeight()` Returns the computed cell height.
`java.lang.Byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the cell transparency mode.
`int` | `getWidth()` Returns the computed cell width.

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### POSITION_X_LEFT

    static final byte POSITION_X_LEFT

  Deprecated. Replaced by `LEFT`.
  Horizontal stretch position indicating that the contents will be rendered on the left side.

  See Also:
    Constant Field Values

### POSITION_X_CENTER

    static final byte POSITION_X_CENTER

  Deprecated. Replaced by `CENTER`.
  Horizontal stretch position indicating that the contents will be rendered on the center.

  See Also:
    Constant Field Values

### POSITION_X_RIGHT

    static final byte POSITION_X_RIGHT

  Deprecated. Replaced by `RIGHT`.
  Horizontal stretch position indicating that the contents will be rendered on the right side.

  See Also:
    Constant Field Values

### POSITION_X_STRETCH

    static final byte POSITION_X_STRETCH

  Deprecated. Replaced by `STRETCH`.
  Horizontal stretch position indicating that the contents will be horizontally stretched.

  See Also:
    Constant Field Values

### POSITION_Y_TOP

    static final byte POSITION_Y_TOP

  Deprecated. Replaced by `TOP`.
  Vertical stretch position indicating that the contents will be rendered on the top.

  See Also:
    Constant Field Values

### POSITION_Y_MIDDLE

    static final byte POSITION_Y_MIDDLE

  Deprecated. Replaced by `MIDDLE`.
  Vertical stretch position indicating that the contents will be rendered on the middle.

  See Also:
    Constant Field Values

### POSITION_Y_BOTTOM

    static final byte POSITION_Y_BOTTOM

  Deprecated. Replaced by `BOTTOM`.
  Vertical stretch position indicating that the contents will be rendered on the bottom.

  See Also:
    Constant Field Values

### POSITION_Y_STRETCH

    static final byte POSITION_Y_STRETCH

  Deprecated. Replaced by `STRETCH`.
  Vertical stretch position indicating that the contents will be rendered vertically stretched.

  See Also:
    Constant Field Values

### NOT_CALCULATED

    static final int NOT_CALCULATED

  Width or height value indicating that the value has not been computed.

  See Also:
    Constant Field Values

### PROPERTIES_PREFIX

    static final java.lang.String PROPERTIES_PREFIX

  A prefix used for properties that are set on frames generated by crosstab cells.

  See Also:
    `JRPrintFrame`, Constant Field Values

### PROPERTY_TYPE

    static final java.lang.String PROPERTY_TYPE

  A property that provides the type of the cell that generated a print frame.

  The property value is one of

  - `TYPE_CROSSTAB_HEADER`
  - `TYPE_COLUMN_HEADER`
  - `TYPE_ROW_HEADER`
  - `TYPE_DATA`
  - `TYPE_NO_DATA_CELL`

  See Also:
    Constant Field Values

### PROPERTY_ROW_SPAN

    static final java.lang.String PROPERTY_ROW_SPAN

  A property that provides the crosstab row span of a print frame.

  See Also:
    Constant Field Values

### PROPERTY_COLUMN_SPAN

    static final java.lang.String PROPERTY_COLUMN_SPAN

  A property that provides the crosstab column span of a print frame.

  See Also:
    Constant Field Values

### TYPE_CROSSTAB_HEADER

    static final java.lang.String TYPE_CROSSTAB_HEADER

  Type used by the `crosstab header cell`.

  See Also:
    `PROPERTY_TYPE`, Constant Field Values

### TYPE_ROW_HEADER

    static final java.lang.String TYPE_ROW_HEADER

  Type used by the row header cells.

  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`, `PROPERTY_TYPE`, Constant Field Values

### TYPE_COLUMN_HEADER

    static final java.lang.String TYPE_COLUMN_HEADER

  Type used by the column header cells.

  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`, `PROPERTY_TYPE`, Constant Field Values

### TYPE_DATA

    static final java.lang.String TYPE_DATA

  Type used by the `crosstab data cells`.

  See Also:
    `PROPERTY_TYPE`, Constant Field Values

### TYPE_NO_DATA_CELL

    static final java.lang.String TYPE_NO_DATA_CELL

  Type used by the `crosstab "no data" cell`.

  See Also:
    `PROPERTY_TYPE`, Constant Field Values

Method Detail

### getBackcolor

    java.awt.Color getBackcolor()

  Returns the cell background color.

  The cell is filled with the background color only if the cell has opaque mode.

  Returns:
    the cell backcolor

### getBox

    JRBox getBox()

  Deprecated. Replaced by `JRBoxContainer.getLineBox()`

  Returns the cell border.

  Returns:
    the cell border

### getWidth

    int getWidth()

  Returns the computed cell width.

  Returns:
    the computed cell width
  See Also:
    `NOT_CALCULATED`

### getHeight

    int getHeight()

  Returns the computed cell height.

  Returns:
    the computed cell height
  See Also:
    `NOT_CALCULATED`

### getMode

    java.lang.Byte getMode()

  Deprecated. Replaced by `getModeValue()`.

### getModeValue

    ModeEnum getModeValue()

  Returns the cell transparency mode.

  Returns:
    `MODE_OPAQUE` or `MODE_TRANSPARENT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com